<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFTabStopPropCollection (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFTabStopPropCollection (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":9,"i10":10,"i11":10,"i12":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFTabStopPropCollection.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStop.html"
               title="class in org.apache.poi.hslf.model.textproperties"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/model/textproperties/IndentProp.html"
               title="class in org.apache.poi.hslf.model.textproperties"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li>
            <a href="../../../../../../index.html?org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFTabStopPropCollection.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.model.textproperties</div>
    <h2 title="Class HSLFTabStopPropCollection" class="title">Class HSLFTabStopPropCollection</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                       title="class in org.apache.poi.hslf.model.textproperties">org.apache.poi.hslf.model.textproperties.TextProp</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hslf.model.textproperties.HSLFTabStopPropCollection</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public class <span class="typeNameLabel">HSLFTabStopPropCollection</span>
extends <a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
           title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></pre>
                <div class="block">Container for tabstop lists</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#NAME">NAME</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#HSLFTabStopPropCollection--">HSLFTabStopPropCollection</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#HSLFTabStopPropCollection-org.apache.poi.hslf.model.textproperties.HSLFTabStopPropCollection-">HSLFTabStopPropCollection</a></span>(<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">HSLFTabStopPropCollection</a>&nbsp;copy)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#addTabStop-org.apache.poi.hslf.model.textproperties.HSLFTabStop-">addTabStop</a></span>(<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStop.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">HSLFTabStop</a>&nbsp;ts)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#clearTabs--">clearTabs</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">HSLFTabStopPropCollection</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#clone--">clone</a></span>()</code>
                                    <div class="block">Clone, eg when you want to actually make use of one of these.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#getSize--">getSize</a></span>()</code>
                                    <div class="block">Size of the data section of the text property (2 or 4 bytes)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStop.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">HSLFTabStop</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#getTabStops--">getTabStops</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#getValue--">getValue</a></span>()</code>
                                    <div class="block">Fetch the value of the text property (meaning is specific to
                                        each different kind of text property)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#parseProperty-byte:A-int-">parseProperty</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>
                                    <div class="block">Parses the tabstops from TxMasterStyle record</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>static java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStop.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">HSLFTabStop</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#readTabStops-org.apache.poi.util.LittleEndianInput-">readTabStops</a></span>(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                        title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;lei)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#writeProperty-java.io.OutputStream-">writeProperty</a></span>(java.io.OutputStream&nbsp;out)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html#writeTabStops-org.apache.poi.util.LittleEndianOutput-java.util.List-">writeTabStops</a></span>(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;leo,
                                    java.util.List&lt;<a
                                            href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStop.html"
                                            title="class in org.apache.poi.hslf.model.textproperties">HSLFTabStop</a>&gt;&nbsp;tabStops)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.model.textproperties.TextProp">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.model.textproperties.<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#getMask--">getMask</a>,
                                    <a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#getName--">getName</a>,
                                    <a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#getWriteMask--">getWriteMask</a>,
                                    <a href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#setValue-int-">setValue</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="NAME">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>NAME</h4>
                                <pre>public static final&nbsp;java.lang.String NAME</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hslf.model.textproperties.HSLFTabStopPropCollection.NAME">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSLFTabStopPropCollection--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSLFTabStopPropCollection</h4>
                                <pre>public&nbsp;HSLFTabStopPropCollection()</pre>
                            </li>
                        </ul>
                        <a name="HSLFTabStopPropCollection-org.apache.poi.hslf.model.textproperties.HSLFTabStopPropCollection-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSLFTabStopPropCollection</h4>
                                <pre>public&nbsp;HSLFTabStopPropCollection(<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">HSLFTabStopPropCollection</a>&nbsp;copy)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="parseProperty-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>parseProperty</h4>
                                <pre>public&nbsp;void&nbsp;parseProperty(byte[]&nbsp;data,
                          int&nbsp;offset)</pre>
                                <div class="block">Parses the tabstops from TxMasterStyle record</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the data stream</dd>
                                    <dd><code>offset</code> - the offset within the data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readTabStops-org.apache.poi.util.LittleEndianInput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readTabStops</h4>
                                <pre>public static&nbsp;java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStop.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">HSLFTabStop</a>&gt;&nbsp;readTabStops(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                        title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;lei)</pre>
                            </li>
                        </ul>
                        <a name="writeProperty-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeProperty</h4>
                                <pre>public&nbsp;void&nbsp;writeProperty(java.io.OutputStream&nbsp;out)</pre>
                            </li>
                        </ul>
                        <a name="writeTabStops-org.apache.poi.util.LittleEndianOutput-java.util.List-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeTabStops</h4>
                                <pre>public static&nbsp;void&nbsp;writeTabStops(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;leo,
                                 java.util.List&lt;<a
                                            href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStop.html"
                                            title="class in org.apache.poi.hslf.model.textproperties">HSLFTabStop</a>&gt;&nbsp;tabStops)</pre>
                            </li>
                        </ul>
                        <a name="getValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValue</h4>
                                <pre>public&nbsp;int&nbsp;getValue()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#getValue--">TextProp</a></code></span>
                                </div>
                                <div class="block">Fetch the value of the text property (meaning is specific to
                                    each different kind of text property)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#getValue--">getValue</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                                title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public&nbsp;int&nbsp;getSize()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#getSize--">TextProp</a></code></span>
                                </div>
                                <div class="block">Size of the data section of the text property (2 or 4 bytes)</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#getSize--">getSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                                title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTabStops--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTabStops</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStop.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">HSLFTabStop</a>&gt;&nbsp;getTabStops()</pre>
                            </li>
                        </ul>
                        <a name="clearTabs--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clearTabs</h4>
                                <pre>public&nbsp;void&nbsp;clearTabs()</pre>
                            </li>
                        </ul>
                        <a name="addTabStop-org.apache.poi.hslf.model.textproperties.HSLFTabStop-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addTabStop</h4>
                                <pre>public&nbsp;void&nbsp;addTabStop(<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStop.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">HSLFTabStop</a>&nbsp;ts)</pre>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">HSLFTabStopPropCollection</a>&nbsp;clone()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#clone--">TextProp</a></code></span>
                                </div>
                                <div class="block">Clone, eg when you want to actually make use of one of these.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#clone--">clone</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                                title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#hashCode--">hashCode</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                                title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#equals-java.lang.Object-">equals</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                                title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html#toString--">toString</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hslf/model/textproperties/TextProp.html"
                                                title="class in org.apache.poi.hslf.model.textproperties">TextProp</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFTabStopPropCollection.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hslf/model/textproperties/HSLFTabStop.html"
               title="class in org.apache.poi.hslf.model.textproperties"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/model/textproperties/IndentProp.html"
               title="class in org.apache.poi.hslf.model.textproperties"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li>
            <a href="../../../../../../index.html?org/apache/poi/hslf/model/textproperties/HSLFTabStopPropCollection.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFTabStopPropCollection.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
